wl_argument(3)

NAME
wl_argument

SYNOPSIS

#include <wayland-util.h>

  Data Fields

int32_t i
uint32_t u
wl_fixed_t f
const char * s
struct wl_object * o
uint32_t n
struct wl_array * a
int32_t h

Detailed Description

Protocol message argument data types

This union represents all of the argument types in the Wayland protocol wire format. The protocol implementation uses wl_argument within its marshalling machinery for dispatching messages between a client and a compositor.

See also
    wl_message

    wl_interface

    Wire Format

Field Documentation

  struct wl_array* wl_argument::a
array

  wl_fixed_t wl_argument::f
fixed

  int32_t wl_argument::h
fd

  int32_t wl_argument::i
int

  uint32_t wl_argument::n
new_id

  struct wl_object* wl_argument::o
object

  const char* wl_argument::s
string

  uint32_t wl_argument::u
uint

Author

Generated automatically by Doxygen for Wayland from the source code.